| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Typedefs | Functions
videoWindowsMediaCapture.h File Reference
`#include <ARX/AR/ar.h>`
Include dependency graph for videoWindowsMediaCapture.h:

Go to the source code of this file.

## Typedefs
typedef struct _AR2VideoParamWinMCT | AR2VideoParamWinMCT

## Functions
int | ar2VideoDispOptionWinMC (void)
AR2VideoParamWinMCT * | ar2VideoOpenWinMC (const char *config)
int | ar2VideoCloseWinMC (AR2VideoParamWinMCT *vid)
int | ar2VideoGetIdWinMC (AR2VideoParamWinMCT *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSizeWinMC (AR2VideoParamWinMCT *vid, int *x, int *y)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormatWinMC (AR2VideoParamWinMCT *vid)
AR2VideoBufferT * | ar2VideoGetImageWinMC (AR2VideoParamWinMCT *vid)
int | ar2VideoCapStartWinMC (AR2VideoParamWinMCT *vid)
int | ar2VideoCapStopWinMC (AR2VideoParamWinMCT *vid)
int | ar2VideoGetParamiWinMC (AR2VideoParamWinMCT *vid, const int paramName, int *value)
int | ar2VideoSetParamiWinMC (AR2VideoParamWinMCT *vid, const int paramName, const int value)
int | ar2VideoGetParamdWinMC (AR2VideoParamWinMCT *vid, const int paramName, double *value)
int | ar2VideoSetParamdWinMC (AR2VideoParamWinMCT *vid, const int paramName, const double value)
int | ar2VideoGetParamsWinMC (AR2VideoParamWinMCT *vid, const int paramName, char **value)
int | ar2VideoSetParamsWinMC (AR2VideoParamWinMCT *vid, const int paramName, const char *value)

## Typedef Documentation

## ◆ AR2VideoParamWinMCT

typedef struct _AR2VideoParamWinMCT AR2VideoParamWinMCT

## Function Documentation

## ◆ ar2VideoCapStartWinMC()

int ar2VideoCapStartWinMC | ( | AR2VideoParamWinMCT * | vid | ) |

## ◆ ar2VideoCapStopWinMC()

int ar2VideoCapStopWinMC | ( | AR2VideoParamWinMCT * | vid | ) |

## ◆ ar2VideoCloseWinMC()

int ar2VideoCloseWinMC | ( | AR2VideoParamWinMCT * | vid | ) |

## ◆ ar2VideoDispOptionWinMC()

int ar2VideoDispOptionWinMC | ( | void |  | ) |

## ◆ ar2VideoGetIdWinMC()

int ar2VideoGetIdWinMC | ( | AR2VideoParamWinMCT * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImageWinMC()

AR2VideoBufferT * ar2VideoGetImageWinMC | ( | AR2VideoParamWinMCT * | vid | ) |

## ◆ ar2VideoGetParamdWinMC()

int ar2VideoGetParamdWinMC | ( | AR2VideoParamWinMCT * | vid,
|  | const int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParamiWinMC()

int ar2VideoGetParamiWinMC | ( | AR2VideoParamWinMCT * | vid,
|  | const int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParamsWinMC()

int ar2VideoGetParamsWinMC | ( | AR2VideoParamWinMCT * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormatWinMC()

AR_PIXEL_FORMAT ar2VideoGetPixelFormatWinMC | ( | AR2VideoParamWinMCT * | vid | ) |

## ◆ ar2VideoGetSizeWinMC()

int ar2VideoGetSizeWinMC | ( | AR2VideoParamWinMCT * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoOpenWinMC()

AR2VideoParamWinMCT * ar2VideoOpenWinMC | ( | const char * | config | ) |

## ◆ ar2VideoSetParamdWinMC()

int ar2VideoSetParamdWinMC | ( | AR2VideoParamWinMCT * | vid,
|  | const int | paramName,
|  | const double | value
| ) |  |

## ◆ ar2VideoSetParamiWinMC()

int ar2VideoSetParamiWinMC | ( | AR2VideoParamWinMCT * | vid,
|  | const int | paramName,
|  | const int | value
| ) |  |

## ◆ ar2VideoSetParamsWinMC()

int ar2VideoSetParamsWinMC | ( | AR2VideoParamWinMCT * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |